Package org.pentaho.reporting.libraries.formula.typing.coretypes

# Class DateTimeType

java.lang.Object
org.pentaho.reporting.libraries.formula.typing.DefaultType
org.pentaho.reporting.libraries.formula.typing.coretypes.DateTimeType

All Implemented Interfaces:
  `Serializable`, `Type`

public class DateTimeType extends DefaultType
This class regroups all related Types to date and time values.

Author:
  Cedric Pronzato
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DateTimeType`
`DATE_TYPE`
This Type represents an instant in time described by a date only.
`static final DateTimeType`
`DATETIME_TYPE`
This Type represents an instant in time described by a date and a time of day.
`static final DateTimeType`
`TIME_TYPE`
This Type represents an instant in time described by a time of day only.

### Fields inherited from interface org.pentaho.reporting.libraries.formula.typing.Type

`ANY_TYPE, ARRAY_TYPE, ERROR_TYPE, LOGICAL_TYPE, NUMERIC_SEQUENCE_TYPE, NUMERIC_TYPE, NUMERIC_UNIT, SCALAR_TYPE, SEQUENCE_TYPE, TEXT_TYPE`

## Method Summary

### Methods inherited from class org.pentaho.reporting.libraries.formula.typing.DefaultType

`addFlag, getProperty, isFlagSet, isLocked, lock, setProperty`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DATETIME_TYPE

public static final DateTimeType DATETIME_TYPE
This Type represents an instant in time described by a date and a time of day.

### DATE_TYPE

public static final DateTimeType DATE_TYPE
This Type represents an instant in time described by a date only.

### TIME_TYPE

public static final DateTimeType TIME_TYPE
This Type represents an instant in time described by a time of day only.